import java.io.DataOutputStream;
import java.io.IOException;

import lejos.nxt.Motor;
import lejos.nxt.SensorPort;
import lejos.nxt.UltrasonicSensor;
import lejos.nxt.comm.Bluetooth;
import lejos.nxt.comm.NXTConnection;
import lejos.robotics.navigation.DifferentialPilot;

public class ProspezioneNXT {
	
	static private double d = 0.0;

	public static void main(String[] args) {
		System.out.println("Attesa connessione Bluetooth...");
		NXTConnection conn = Bluetooth.waitForConnection();
		DataOutputStream dos = conn.openDataOutputStream();
		System.out.println("Connesso");

		DifferentialPilot dp = new DifferentialPilot(5.5, 11.5, Motor.A, Motor.C, true);
		UltrasonicSensor us = new UltrasonicSensor(SensorPort.S1);

		boolean connesso = true;
		while (connesso) {
			try {
				dos.writeDouble(d);
				dos.writeDouble(us.getDistance());
				dos.flush();
				dp.travel(100);
				d += 1.0;
			} catch (IOException e) {
				connesso = false;
			}
		}
	}

}
